%define upstream_name    Validation-Class
%define upstream_version 5.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Basic Instructions for Writing Plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Validation/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Array::Unique)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Hash::Flatten)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Moose)
BuildArch:  noarch

%description
Validation::Class is a different approach to data validation, it attempts
to simplify and centralize data validation rules to ensure DRY (don't
repeat yourself) code. The primary intent of this module is to provide a
simplistic validation framework. Your validation class is your data input
firewall and can be used anywhere and is flexible enough in an MVC
environment to be used in both the Controller and Model. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Tue Feb 21 2012 kharec <kharec> 5.200.0-1.mga2
+ Revision: 211760
- Disable tests for build
- Add a BR on perl-Moose
- update to 5.20

* Tue Dec 06 2011 kharec <kharec> 3.1.1-1.mga2
+ Revision: 177873
- update to 3.1.1

* Tue Dec 06 2011 kharec <kharec> 3.1.0-1.mga2
+ Revision: 177298
- Try a BR for build purpose
- update to 3.1.0

* Sun Dec 04 2011 kharec <kharec> 3.0.0-1.mga2
+ Revision: 175921
- update to 3.0.0

* Fri Dec 02 2011 kharec <kharec> 2.7.7-1.mga2
+ Revision: 175164
- update to 2.7.7

* Sun Nov 27 2011 kharec <kharec> 2.7.6-1.mga2
+ Revision: 172822
- update to 2.7.6

* Sat Nov 19 2011 kharec <kharec> 2.7.0-1.mga2
+ Revision: 169085
- update to 2.7.0

* Thu Nov 10 2011 kharec <kharec> 2.6.0-1.mga2
+ Revision: 166063
- update to 2.6.0

* Wed Nov 09 2011 kharec <kharec> 2.5.2-2.mga2
+ Revision: 165882
- remove useless parts of %%description

* Wed Nov 09 2011 kharec <kharec> 2.5.2-1.mga2
+ Revision: 165876
- update to 2.5.2

* Tue Nov 08 2011 kharec <kharec> 2.5.0-1.mga2
+ Revision: 165644
- update to 2.5.0

* Sat Nov 05 2011 kharec <kharec> 2.4.7-1.mga2
+ Revision: 163292
- imported package perl-Validation-Class


* Sat Nov 05 2011 cpan2dist 2.4.7-1mga
- initial mageia release, generated with cpan2dist
